Data Campaign Search (deprecated)

POST Search Campaigns

POST /sites/{site_id}/campaign_search

Operation ID: Search Campaigns. Tags: sites. Security: oauth2_application.

Searches for campaigns.

The Campaign Search document contains a search object that allows filtering on various attributes.

The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:

  • campaign_id - String

  • description - String

  • enabled - Boolean

  • coupon_id* - String

  • customer_group* - String

  • source_code* - String

  • start_date - Date

  • end_date - Date

  • last_modified - Date

These fields can only be used in Queries as conjunctions (using AND). If the field is used in a disjunction (OR) an exception will be thrown.

Note that only searchable attributes (excluding the ones marked with above with an asterisk) can be used in sorting Additionally start_date, end_date and last_modified cannot be used in sorting.

This endpoint may return the following faults:

  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.

Parameters

  • site_id (path, string, required) The site context.
    Minimum length: 1.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 MalformedSearchParameterException - Thrown if the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: campaign_search_result.